Subject: Re: bug#53331: 29.0.50; eval-defun doesn't respect edebug-all-defs

From: Michael Heerdegen <[email-masked]>
Date: Wed, 19 Jan 2022 01:30:12 +0100

Andreas Schwab <[email-masked]> writes:

> > For `eval-defun' this isn't the case: Any defun is not instrumented
> > after enabling `edebug-all-defs' and hitting C-M-x.
>
> There is an advice around eval-defun once edebug is loaded.

Ah - thanks, I had missed that.

So the problem is that when you enable edebug-all-defs but don't
explicitly load edebug, the advice is not yet installed and thus
`eval-defun' does not instrument.

I guess what we really want is to get rid of the advices altogether, so
it's not worth to add another hack to support this corner case.

Thanks,

Michael.